Jupiter ERP
Account API

Update CostCenters

/api/account/cost-centers/{id}

PATCHHTTP
patch/api/account/cost-centers/{id}

Example request

PATCH https://api.jupiter-erp.com/api/account/cost-centers/example-id

Code
curl -X PATCH 'https://api.jupiter-erp.com/api/account/cost-centers/example-id' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "code": "string",
  "booking_account_number": 0
}'

Parameters

NameInRequiredDescription
idpathyes

Request body

Optional

FieldTypeDescription
booking_account_numberinteger
codestring
namestring
Example request
{
  "name": "string",
  "code": "string",
  "booking_account_number": 0
}

Responses

200OK
FieldTypeDescription
booking_account_numberinteger
codestring
created_atstring (date-time)Creation timestamp in ISO 8601 format.
id*integer
name*string
updated_atstring (date-time)Last update timestamp in ISO 8601 format.
Example response
{
  "id": 0,
  "name": "string",
  "code": "string",
  "booking_account_number": 0,
  "updated_at": "2025-01-14T13:51:15.000Z",
  "created_at": "2025-01-14T13:51:15.000Z"
}
CostCenters

Questions about integration?

PATCH /api/account/cost-centers/{id} · Jupiter ERP